View Issue Details

IDProjectCategoryView StatusLast Update
0003556gnunet-gtkgnunet-fs-gtkpublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubuntu-14.04amd64OS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003556: Revision 34380, gnunet-fs-gtk-11007 ERROR Assertion failed at fs_search.c:1113
Descriptiongnunet-fs-gtk-11007 ERROR Assertion failed at fs_search.c:1113
Steps To ReproduceIn user space:
~/gnunet-gtk$ gnunet-gtk
Okt 26 08:42:00-664872 gnunet-fs-gtk-10927 ERROR Assertion failed at fs_search.c:1113.
TagsNo tags attached.

Activities

Christian Grothoff

2014-11-02 12:24

manager   ~0008615

Fixed in 34394.

ell

2014-11-02 15:29

reporter   ~0008616

Making install in fs
make[2]: Betrete Verzeichnis '/home/ell/gnunet/src/fs'
  CC fs_search.lo
In file included from ../../src/include/gnunet_crypto_lib.h:56:0,
                 from ../../src/include/gnunet_util_lib.h:39,
                 from ../../src/include/gnunet_fs_service.h:28,
                 from fs_search.c:27:
fs_search.c: In function 'transmit_search_request':
fs_search.c:1119:28: error: invalid type argument of '->' (have 'struct MessageBuilderContext')
     GNUNET_assert (0 == mbc->put_cnt);
                            ^
../../src/include/gnunet_common.h:586:41: note: in definition of macro 'GNUNET_assert'
 #define GNUNET_assert(cond) do { if (! (cond)) { GNUNET_log(GNUNET_ERROR_TYPE_ERROR, _("Assertion failed at %s:%d.\n"), __FILE__, __LINE__); GNUNET_abort(); } } while(0)
                                         ^
make[2]: *** [fs_search.lo] Fehler 1
make[2]: Verlasse Verzeichnis '/home/ell/gnunet/src/fs'
make[1]: *** [install-recursive] Fehler 1
make[1]: Verlasse Verzeichnis '/home/ell/gnunet/src'
make: *** [install-recursive] Fehler 1

Christian Grothoff

2014-11-02 16:19

manager   ~0008617

Ok, FTBFS fixed in SVN 34395.

Issue History

Date Modified Username Field Change
2014-10-26 09:10 ell New Issue
2014-10-27 15:34 Christian Grothoff Assigned To => Christian Grothoff
2014-10-27 15:34 Christian Grothoff Status new => assigned
2014-11-02 12:24 Christian Grothoff Note Added: 0008615
2014-11-02 12:24 Christian Grothoff Status assigned => resolved
2014-11-02 12:24 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-11-02 12:24 Christian Grothoff Resolution open => fixed
2014-11-02 12:24 Christian Grothoff Product Version => SVN HEAD
2014-11-02 12:24 Christian Grothoff Target Version => 0.11.0pre66
2014-11-02 15:29 ell Note Added: 0008616
2014-11-02 15:29 ell Status resolved => feedback
2014-11-02 15:29 ell Resolution fixed => reopened
2014-11-02 16:19 Christian Grothoff Note Added: 0008617
2014-11-02 16:19 Christian Grothoff Status feedback => resolved
2014-11-02 16:19 Christian Grothoff Resolution reopened => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed